Get All Audio

Retrieve metadata for a list of audio files.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

audios = fulcrum.audio.search(url_params={'form_id':'{id}'})

for audio in audios['audio']:
  # print(audio) # entire audio metadata
  print(audio['access_key']) # just the audio key
const { Client } = require('fulcrum-app');
const client = new Client('{token}');

client.audio.all({'form_id':'{id}'})
  .then((page) => {
    page.objects.forEach(audio => {
      // console.log(audio); // entire audio metadata
      console.log(audio.access_key); // just the audio key
    });
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')

audios = client.audio.all({'form_id':'{id}'})

for audio in audios.objects do
  # puts audio # entire audio metadata
  puts audio['access_key'] # just the audio key
end
Query Params
string

The ID of the record with which the audio file is associated.

string

The ID of the form with which the audio file is associated. Leaving this blank will query against all of your audio files.

boolean

If present, audio files will be sorted by updated_at date.

boolean

Filter for audio files that have been completely processed.

boolean

Filter for audio files that have been completely stored.

boolean

Filter for audio files that have been completely uploaded.

int32
Defaults to 1

The page number requested.

int32
Defaults to 20000

The number of items to return per page.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json